### Function

# EvinceDocument Document misc_surface_rotate_and_scale

#### Declaration [src]

    cairo_surface_t*
    ev_document_misc_surface_rotate_and_scale (
      cairo_surface_t* surface,
      gint dest_width,
      gint dest_height,
      gint dest_rotation
    )

#### Description

No description available.

#### Parameters

`surface` | `cairo_surface_t`
| No description available.
| The data is owned by the caller of the function.
`dest_width` | `gint`
| No description available.
`dest_height` | `gint`
| No description available.
`dest_rotation` | `gint`
| No description available.

#### Return value

Returns: | `cairo_surface_t`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.